about summary refs log tree commit diff
path: root/users/glittershark/xanthous/hie.sh
diff options
context:
space:
mode:
Diffstat (limited to 'users/glittershark/xanthous/hie.sh')
-rwxr-xr-xusers/glittershark/xanthous/hie.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/users/glittershark/xanthous/hie.sh b/users/glittershark/xanthous/hie.sh
new file mode 100755
index 0000000000..4ea97997c7
--- /dev/null
+++ b/users/glittershark/xanthous/hie.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+cd "$(dirname "${BASH_SOURCE[0]}")" || exit 1
+
+argv=( "$@"  )
+argv=( "${argv[@]/\'/\'\\\'\'}"  )
+argv=( "${argv[@]/#/\'}"  )
+argv=( "${argv[@]/%/\'}"  )
+
+exec nix-shell --pure --run "exec $(nix-build -o dist/nix/hie -A hie)/bin/hie ${argv[*]}"